Support » Plugin: Easy Updates Manager » fs_unavailable

  • Resolved eon123

    (@eon123)


    For several days I have emails advising Background Updates have finished however on opening I found plugins worked but one theme returned the following error message:

    The theme is at the latest version.
    Error: [fs_unavailable] Could not access filesystem.

    My research indicates the fs_unavailable error related to a WordPress bug that was fixed in an earlier version of WordPress (I’m on the latest version 4.8.3 as at 0216 this morning) but I’m still getting the error as at 1630 today.

    I have deactivated all plugins except EUM and still receive the same error.
    I examined the Error.log file and found multiple messages on different dates and times but all the same content:

    [31-Oct-2017 22:28:41 UTC] PHP Fatal error: Call to a member function get() on a non-object in /home1/xxxxxx/public_html/yyyyyyy.com/wp-content/plugins/stops-core-theme-and-plugin-updates/includes/MPSUM_Logs.php on line 161

    I note that line 161 of that php is:

    $version = $theme_data->get( ‘Version’ );

    Since the error message indicates the “theme is at the latest version” and line 161 refers to version, I’m wondering if the fs_unavailable error is the result of version incompatibility issue?

    Can you please advise what steps I can take to fix this issue or provide you with additional details?

    Thanks

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Contributor Matthew

    (@kidsguide)

    What theme errored out? Is it a third party theme that is not hosted on WordPress.org?

    Yes, it is a 3rd party theme. Is there something they need to do to get their theme working to your requirements as their plugins always load correctly using EUM?
    Thanks.

    Oops. forgot to include Theme is Rise from Thrive Themes but have same issue with their other themes. Couldn’t find anything in their support forum about this issue. Thanks,

    Plugin Contributor Matthew

    (@kidsguide)

    Yeah, that would explain it then. Since third party plugins/themes use all different update systems to get the update to you, we can’t support them easily. We can only guarantee that EUM will work with plugins hosted on WordPress.org. Some third party plugins do work with the EUM, but also lots don’t.

    Matthew, have received feedback from Thrive themes support and they are very interested in addressing any “kind of things that we’d need to do to make sure that our software is in line with their tool”.

    They have requested any specific requirements EUM may have as they believe their plugins and themes are delivered using same functionality so not sure why plugins work but themes don’t work. Is there a size limit as their themes are large or is it something to do with write permissions of the wp-content/themes/ folder, etc?

    Thanks.

    Plugin Contributor Ronald Huereca

    (@ronalfy)

    @eon123,

    Do you think that you can put me in touch with Thrive Themes support? They can message me on WordPress slack (@ronaldhuereca) or through email (ronalfy [at] gmail).

    Thanks!

    Ronald, I have passed the above message to Thrive Themes so you two techos can address the issue.

    Please keep this case open so I can know when finalised.
    Thanks.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘fs_unavailable’ is closed to new replies.